Skip to main content

Upload Message Attachments

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

POSTghl.upload_message_attachments

Upload file attachments for use in messages

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-upload-message-attachments-example",
"method": "tools/call",
"params": {
"name": "ghl.upload_message_attachments",
"arguments": {
"conversationId": "conversationId_123",
"attachmentUrls": [],
"tenantId": "tenantId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"conversationId": {
"type": "string"
},
"attachmentUrls": {
"type": "array",
"items": {
"type": "string"
}
}
},
"required": [
"conversationId",
"attachmentUrls"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-upload-message-attachments-example",
"method": "tools/call",
"params": {
"name": "ghl.upload_message_attachments",
"arguments": {
"conversationId": "conversationId_123",
"attachmentUrls": [],
"tenantId": "tenantId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.upload_message_attachments executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}